
Foreman - Bug #13621

User loses access to proper Organization and Location when becomes an owner of host.

02/09/2016 09:16 AM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1240266 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1240266

Description of problem:

User looses access to proper Organization and Location when becomes an owner of host.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. Create new user and attach to Default_Location and Default_Organization

2. Edit user. Confirm that Default Location and Default Organization dropdown lists contain added in #1 Orgs and Locs. Do not

assign at this moment.

3. Create new or assign existing host to newly created user as owner of host

4. Edit user. Select default Organization and Default Locations from dropdowns

5. Click Submit

Actual results:

Def Org and Loc are empty and dropdown lists are empty too. Not possible to assign Default Org and Loc.

Right column in Organization tab is greyed

User has no access to hosts in Default_Organization and Default_location

Expected results:

It's possible to modify Default Organizations and Locations.

Additional info:

History

#1 - 02/09/2016 09:35 AM - Dominic Cleal

- Subject changed from User looses access to proper Organization and Location when becomes an owner of host. to User loses access to proper

Organization and Location when becomes an owner of host.

- Category set to Organizations and Locations

#2 - 12/01/2016 05:48 AM - Kavita Gaikwad

- Target version set to 1.15.6

#3 - 07/23/2018 09:27 AM - Tomer Brisker

- Target version deleted (1.15.6)

#4 - 05/24/2021 12:49 PM - Leos Stejskal

- Status changed from New to Closed

Hi, I'm closing the issue, it has been here for some time and I wasn't able to reproduce it on the latest version.

If you think that the issue is still relevant feel free to reopen it.
